<?php
/**
 * The default template for displaying content
 *
 * @package WordPress
 * @subpackage The_Secret_World
 * @since The Secret World 1.0
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php if ( has_post_thumbnail() ) : ?>

			<?php the_post_thumbnail( 'article-home' ); ?> 

			<header class="entry-header has-thumb">
				<?php if ( is_sticky() ) : ?>
					<hgroup>
						<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'thesecretworld' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
						<h3 class="entry-format"><?php _e( 'Featured', 'thesecretworld' ); ?></h3>
					</hgroup>
				<?php else : ?>
				<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'thesecretworld' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
				<?php endif; ?>

				<?php if ( 'post' == get_post_type() ) : ?>
				<div class="entry-meta">
					<?php thesecretworld_posted_on(); ?>
				</div><!-- .entry-meta -->

				<?php endif; ?>

				<?php if ( comments_open() && ! post_password_required()) : ?>
				<div class="comments-link">
					<?php comments_popup_link( '<span class="leave-reply">' . __( 'Reply', 'thesecretworld' ) . '</span>', _x( '1', 'comments number', 'thesecretworld' ), _x( '%', 'comments number', 'thesecretworld' ) ); ?>
				</div>
				<?php endif; ?>
			</header><!-- .entry-header -->

			<div class="entry-summary has-thumb">
				<?php the_excerpt(''); ?>
			</div><!-- .entry-summary -->
		<?php else : ?>

			<header class="entry-header">
				<?php if ( is_sticky() ) : ?>
					<hgroup>
						<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'thesecretworld' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
						<h3 class="entry-format"><?php _e( 'Featured', 'thesecretworld' ); ?></h3>
					</hgroup>
				<?php else : ?>
				<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'thesecretworld' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
				<?php endif; ?>

				<?php if ( 'post' == get_post_type() ) : ?>
				<div class="entry-meta">
					<?php thesecretworld_posted_on(); ?>
				</div><!-- .entry-meta -->
				<?php endif; ?>

				<?php if ( comments_open() && ! post_password_required()) : ?>
				<div class="comments-link">
					<?php comments_popup_link( '<span class="leave-reply">' . __( 'Reply', 'thesecretworld' ) . '</span>', _x( '1', 'comments number', 'thesecretworld' ), _x( '%', 'comments number', 'thesecretworld' ) ); ?>
				</div>
				<?php endif; ?>
			</header><!-- .entry-header -->

			<div class="entry-summary">
				<?php the_excerpt(''); ?>
			</div><!-- .entry-summary -->

		<?php endif; ?>

		<div class="clear"></div>
	</article><!-- #post-<?php the_ID(); ?> -->
